Bug 503921 - Garbage shown at the end of chunked gzipped page
Garbage shown at the end of chunked gzipped page
Product: Fedora
Classification: Fedora
Component: lynx (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-03 07:48 EDT by Ondrej Vasik
Modified: 2010-03-12 06:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-12 06:38:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ondrej Vasik 2009-06-03 07:48:44 EDT
Description of problem:
If you try to display some chunked gzipped page e.g. http://www.eweek.com/c/a/Desktops-and-Notebooks/Intel-Psion-End-Dispute-Concerning-Netbook-Trademark-288875/ , garbage is shown at the end of the page. Problem was originally reported on elinks upstream mailing list (http://www.mail-archive.com/elinks-dev@linuxfromscratch.org/msg00784.html).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. lynx http://www.eweek.com/c/a/Desktops-and-Notebooks/Intel-Psion-End-Dispute-Concerning-Netbook-Trademark-288875/
2. accept cookies ;)
3. check end of the page
Actual results:

Expected results:
Some readable text 

Additional info:
Might be problem in gzip/unzip as I tried that page with elinks and w3m too and both failed (elinks 0.12 empty page, elinks 0.11.2 same result as lynx and w3m error gzip: stdin: not in gzip format). In Firefox/Opera is the page fully readable.
Comment 1 Bug Zapper 2009-06-09 13:02:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 2 Thomas E. Dickey 2009-09-01 20:45:16 EDT
Actually - here - Opera is showing garbage on the end, while
elinks is working, as is w3m.  (lynx shows the garbage).
Comment 3 Kamil Dudka 2010-01-05 12:00:56 EST
I am not able to reproduce the bug, please check if lynx-2.8.7-1.fc13 solves the problem.
Comment 4 Ondrej Vasik 2010-01-05 13:40:28 EST
As you could see in elinks upstream discussion from comment #1, it was caused by server side bug - which was probably fixed there. See http://www.mail-archive.com/elinks-dev@linuxfromscratch.org/msg00786.html for details. The page is working correctly now, but the original bug still remains hidden in lynx - waiting for other "wrong configured" server. Anyway - feel free to close the bugzilla if you want - I don't have other such page, so probably very rare server-side misconfiguration of webserver.
Comment 5 Kamil Dudka 2010-03-12 06:38:12 EST
It is not obvious if the bug was at client's or server's side and there is no easy way to reproduce it.  So that I am closing the bug as INSUFFICIENT_DATA.  Feel free to reopen the bug if you have some additional info.

Note You need to log in before you can comment on or make changes to this bug.